Loading...
Searching...
No Matches
kmp_flag< FlagType > Class Template Reference

`#include <kmp_wait_release.h>`

Inheritance diagram for kmp_flag< FlagType >:

## Public Member Functions

flag_type | get_type ()
kmp_info_t * | get_waiter (kmp_uint32 i)
kmp_uint32 | get_num_waiters ()
void | set_waiter (kmp_info_t *thr)

## Protected Attributes

flag_properties | t
kmp_info_t * | waiting_threads [1]
kmp_uint32 | num_waiting_threads

## Detailed Description

template<flag_type FlagType>
class kmp_flag< FlagType >

Base class for all flags

Definition at line 104 of file kmp_wait_release.h.

## Member Function Documentation

## get_num_waiters()

template<flag_type FlagType>

kmp_uint32 kmp_flag< FlagType >::get_num_waiters | ( |  | ) |

inline

Returns
  num_waiting_threads

Definition at line 128 of file kmp_wait_release.h.

## get_type()

template<flag_type FlagType>

flag_type kmp_flag< FlagType >::get_type | ( |  | ) |

inline

Returns
  the flag_type

Definition at line 119 of file kmp_wait_release.h.

## get_waiter()

template<flag_type FlagType>

kmp_info_t * kmp_flag< FlagType >::get_waiter | ( | kmp_uint32 | i | ) |

inline

param i in index into waiting_threads

Returns
  the thread that is waiting at index i

Definition at line 123 of file kmp_wait_release.h.

## set_waiter()

template<flag_type FlagType>

void kmp_flag< FlagType >::set_waiter | ( | kmp_info_t * | thr | ) |

inline

Parameters

  thr | in the thread which is now waiting Insert a waiting thread at index 0.

Definition at line 131 of file kmp_wait_release.h.

## Member Data Documentation

## num_waiting_threads

template<flag_type FlagType>

kmp_uint32 kmp_flag< FlagType >::num_waiting_threads

protected

Num threads sleeping on this thread.

Definition at line 108 of file kmp_wait_release.h.

Referenced by kmp_flag< FlagType >::get_num_waiters(), kmp_flag< FlagType >::get_waiter(), and kmp_flag< FlagType >::set_waiter().

## t

template<flag_type FlagType>

flag_properties kmp_flag< FlagType >::t

protected

"Type" of the flag in loc

Definition at line 106 of file kmp_wait_release.h.

Referenced by kmp_flag< FlagType >::get_type().

## waiting_threads

template<flag_type FlagType>

kmp_info_t* kmp_flag< FlagType >::waiting_threads[1]

protected

Threads sleeping on this thread.

Definition at line 107 of file kmp_wait_release.h.

Referenced by kmp_flag< FlagType >::get_waiter(), and kmp_flag< FlagType >::set_waiter().

The documentation for this class was generated from the following file:

- kmp_wait_release.h